djangorestframework (3.17.1+ds1-1) unstable; urgency=medium

  * Team upload.
  * Repack upstream tarball without file stored in git-lfs, which caused
    problems for Salsa CI jobs.

 -- Colin Watson <cjwatson@debian.org>  Mon, 03 Aug 2026 08:43:29 +0100

djangorestframework (3.17.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Drop deprecated coreapi support (closes: #1143299).

 -- Colin Watson <cjwatson@debian.org>  Sun, 02 Aug 2026 19:30:08 +0100

djangorestframework (3.16.1-4) unstable; urgency=medium

  * Team upload.
  * Include symlink to font-awesome.min.css.map, now that font-awesome.min.css
    references it.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 24 Jun 2026 20:16:22 -0400

djangorestframework (3.16.1-3) unstable; urgency=medium

  * Re-release since 3.16.1-2 seems to have got lost.

 -- Colin Watson <cjwatson@debian.org>  Sun, 09 Nov 2025 18:28:07 +0000

djangorestframework (3.16.1-2) unstable; urgency=medium

  * Team upload.
  * Replace transitional python3-tz dependency with python3-pytz
  * Bump Standards-Version to 4.7.2
  * Drop "Rules-Requires-Root: no": it is the new default value
  * Trim d/rules using shorter syntax

 -- Alexandre Detiste <tchet@debian.org>  Wed, 24 Sep 2025 11:40:06 +0200

djangorestframework (3.16.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 10 Aug 2025 14:22:54 +0100

djangorestframework (3.16.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 08 Apr 2025 21:58:11 +0100

djangorestframework (3.15.2-2) unstable; urgency=medium

  * Team upload.
  * Fix view description inspection in Python 3.13 (closes: #1088246).
  * Use pybuild-plugin-pyproject.
  * Use dh-sequence-mkdocs.

 -- Colin Watson <cjwatson@debian.org>  Tue, 03 Dec 2024 10:58:26 +0000

djangorestframework (3.15.2-1) unstable; urgency=medium

  * Team upload
  * [83fb839] New upstream version 3.15.2
  * [d201327] Rebuild patch queue from patch-queue branch
    Removed patches (included upstream):
    Fix-typo-in-setup.cfg-setting.patch
    Remove-span-class-w-on-some-tests-files.patch
    tests-Check-urlpatterns-after-cleanups-9400.patch
  * [d1e1bcf] d/copyright: Add myself
  * [af11be8] d/control: Depend on Django >= 4.2 in bin package
  * [1185d2a] d/p-d-d.lintian-overrides: Ignore warning about JQuery

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 29 Jun 2024 14:02:42 +0200

djangorestframework (3.15.1-2) unstable; urgency=medium

  * Team upload

    [Carsten Schoenert]
  * [4ba996d] Rebuild patch queue from patch-queue branch
    Added patches:
    Fix-typo-in-setup.cfg-setting.patch
    tests-Check-urlpatterns-after-cleanups-9400.patch
    (Closes: #1072052)
  * [f5886e3] d/control: Bump Standards-Version to 4.7.0
    No further changes needed.

    [Simon Lyngshede]
  * [bbf09c6] d/rules: Don't exclude bootstrap-tweaks.css file

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 01 Jun 2024 20:13:31 +0200

djangorestframework (3.15.1-1) unstable; urgency=medium

  * Team upload
  * [ecdc11c] d/gbp.conf: Add some more defaults
  * [0031c39] d/watch: Move over to use Git mode on GitHub
  * [ad8805f] New upstream version 3.15.1
    (Closes: #1066740)
  * [926f60f] Rebuild patch queue from patch-queue branch
    Rebuild patch queue from patch-queue branch
    Rename and update patches:
    0001-Clean-all-privacy-breaches-in-the-package.patch
     -> debian/patches/Clean-all-privacy-breaches-in-the-package.patch
    0002-Fix-asset-names-to-match-symlinks-to-packaged-files.patch
     -> debian/patches/Fix-asset-names-to-match-symlinks-to-packaged-files.patch
    0003-Adapt-tests-so-they-pass.patch
     -> debian/patches/Remove-span-class-w-on-some-tests-files.patch
  * [e4f6ac7] d/control: Bump Standards-Version to 4.6.2
    No further changes needed.
  * [1ac9e0c] Update missing-sources for jquery-3.7.1
  * [d3b5a93] d/control: Add BuildProfileSpec to Build-Depends
  * [8e221b1] d/control: Add python3-tz to (binary) Depends
  * [5f63cc2] d/{control,rules}: Move over to dh-sequencer-python3
  * [1e05741] d/rules: Remove also mypy cache folder in dh_clean
  * [490cf0f] d/trules: Respect DEB_BUILD_OPTIONS for nodoc profile
  * [03ee1af] autopkgtest: Use more specific depending package list
  * [f9ac404] d/README.source: Add some information about the source
  * [ad91cbd] d/u/metadata: Add the Homepage data
  * [2098da6] d/control: Use the GitHub resource for Homepage field

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 23 Mar 2024 12:50:03 +0100

djangorestframework (3.14.0-2) unstable; urgency=medium

  * Team upload
  * Add patch to fix tests against the environment on bookworm
    (Closes: #1028871)

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 31 Jan 2023 08:59:37 -0300

djangorestframework (3.14.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Let pybuild handle upstream tests during build.
  * Install testfiles using d/pybuild.testfiles.
  * No longer skip tests during autopkgtest.
  * Update d/copyright with new years.

 -- Michael Fladischer <fladi@debian.org>  Tue, 11 Oct 2022 20:40:16 +0000

djangorestframework (3.13.1-1) unstable; urgency=low

  * New upstream release.
  * Expand privacy patch to cover release notes.
  * Drop unused patches.
  * Add python3-uritemplate to Build-Depends, enabling more tests.
  * Rework autopkgtests to use separate test script and reused packaging
    dependencies.
  * Drop --nolint flag for build-time tests.
  * Add node-jquery to Build-Depends, required by mkdocs.
  * Add python3-tz to Build-Depends (Closes: #1013742).
  * Bump Standards-Version to 4.6.1.0.
  * Update lintian-overrides.
  * Update missing-sources for jquery-3.5.1.

 -- Michael Fladischer <fladi@debian.org>  Fri, 08 Jul 2022 19:34:35 +0000

djangorestframework (3.12.4-2.2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Security-Contact.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on mkdocs, python3-defusedxml,
      python3-django-filters, python3-pytest and python3-pytest-cov.
    + python3-djangorestframework: Drop versioned constraint on python3-coreapi,
      python3-coreschema, python3-django-filters, python3-markdown and
      python3-psycopg2 in Recommends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 26 May 2022 19:20:45 +0100

djangorestframework (3.12.4-2.1) unstable; urgency=medium

  * Non-maintainer upload
  * tests: update for newer pygments (Closes: #1005779)

 -- Paul Gevers <elbrus@debian.org>  Sun, 13 Mar 2022 19:19:52 +0100

djangorestframework (3.12.4-2) unstable; urgency=medium

  * debian/rules
    - skip test_markdown, which is currently failing; see issue #8160 upstream
      for followups; Closes: #1002396

 -- Sandro Tosi <morph@debian.org>  Fri, 31 Dec 2021 02:05:52 -0500

djangorestframework (3.12.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.12.4
  * Rediff patches
  * Fix tests with mock timezone. (Closes: #994255)
    Thanks to Terence Honles <terence@honles.com> for the upstream patch
  * Fix autopkgtest and FTBFS by adding python3-pygments to Build-Dep and
    tests Depends (Closes: #961171)
  * Bump d/watch version to 4
  * Bump Standards-Version to 4.6.0: no changes
  * Fix homepage url
  * Use https for apache license url in d/copyright
  * Bump versioned dependency for python3-django-guardian to 2.4.0

 -- Baptiste Beauplat <lyknode@debian.org>  Mon, 04 Oct 2021 21:28:16 +0200

djangorestframework (3.12.1-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael Fladischer ]
  * New upstream release (CVE-2020-25626) (Closes: #971554).
  * Refresh patches.
  * Add d/upstream/metadata.
  * Remove 0001-Disable-Postgresql-tests.patch.
  * Depend on libjs-bootstrap (Closes: #970776).

 -- Michael Fladischer <fladi@debian.org>  Fri, 16 Oct 2020 17:27:21 +0200

djangorestframework (3.11.0-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Refresh patches.
  * Rename MIT license to Expat.
  * Bump debhelper version to 13.
  * Bump Standards-Version to 4.5.0.
  * Use dh_link to replace assets (fonts, css, js) which are already
    packaged.
  * Depend on fonts-font-awesome and fonts-glyphicons-halflings, drop
    fonts-glewlwyd (Closes: #962882).
  * Depend on libjs-prettify.
  * Fixing permissions for font file no longer necessary, drop
    override_dh_fixperms.
  * Clean up files to allow two builds in a row.
  * Set Rules-Requires-Root: no.
  * Add patch to fix asset names for packaged files.
  * Replace glyphicons in doc package with symlinks to the packaged
    font.
  * Run wrap-and-sort -bast to reduce diff size of future changes.

 -- Michael Fladischer <fladi@debian.org>  Sun, 05 Jul 2020 11:00:13 +0200

djangorestframework (3.10.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.10.2
  * Refresh patches
    * 0002-Clean-all-privacy-breaches-in-the-package.patch: remove new privacy
      breach from docs_theme/main.html
  * debian/missing-sources: update jquery
  * debian/rules: remove 404.html from installed documentation
    - it contains a few privacy breaches, but also is unused in local
      documentation
  * debian/control: Bump Standards-Version; no changes needed otherwise
  * debian/tests/control: add autopkgtest control file to run test suite
    against installed package

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 09 Oct 2019 18:52:24 -0300

djangorestframework (3.9.0-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Andrey Rahmatullin ]
  * Drop Python 2 support.
  * Bump the minimal version for the python3-pytest-django B-D.
  * Fix tests for Django 2.2.

 -- Andrey Rahmatullin <wrar@debian.org>  Thu, 08 Aug 2019 10:42:00 +0500

djangorestframework (3.9.0-1) unstable; urgency=medium

  * Team upload

  [ Pierre-Elliott Bécue ]
  * New upstream release: 3.9.0
    - d/control:
      + Add python{,3}-yaml as a build-dependency
      + Add python{,3}-yaml as a Recommend
      + Add python{,3}-psycopg2 as a Recommend
    - d/rules:
      + changelog moved from docs/topics/release-notes.md
        to docs/community/release-notes.md
    - Updated patches
  * d/control:
    - Bump Standards-Version to 4.2.1.
  * d/rules:
    - Replace the fonts in dh_python{2,3} to make sure the links are in the
      appropriate /usr/lib/pythonX dirs
  * d/s/lintian-overrides:
    - Remove wildcard source-is-missing

  [ Dmitry Shachnev ]
  * Use the default mkdocs theme, the custom one is incompatible with
    mkdocs 1.0 (closes: #916621).
  * Use dh_mkdocs for symlinking static files.

 -- Pierre-Elliott Bécue <peb@debian.org>  Tue, 25 Dec 2018 01:20:40 +0100

djangorestframework (3.8.2-2) unstable; urgency=medium

  * Team upload.
  * d/rules:
    - Remove duplicate symlinks
    - Remove all symlinks to font-awesome, as the newest version of
      font-awesome is not backward compatible. Use the package's embedded ones
      instead, for now.
    - Sets the fontawesome fonts permissions right (remove the executable bit)
  * d/control:
    - Remove bin-dependency on fonts-font-awesome package for now.
    - Bump Standards-Version to 4.1.4. No change required.
  * d/patches:
    - Patches rebased accordingly to the new release.

 -- Pierre-Elliott Bécue <becue@crans.org>  Tue, 05 Jun 2018 13:27:06 +0200

djangorestframework (3.8.2-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Thu, 03 May 2018 17:30:32 +1000

djangorestframework (3.7.7-2) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Pierre-Elliott Bécue ]
  * Merge all patches

 -- Pierre-Elliott Bécue <becue@crans.org>  Mon, 12 Mar 2018 20:47:33 +0100

djangorestframework (3.7.7-1) unstable; urgency=medium

  * Team upload
  * New upstream version: 3.7.7. (Closes: #865588, #880558)
  * Add d/patches/0003 to fix a lot of privacy breaches
  * d/contrib/docs/img/whole-structure.jpg added
  * d/control:
    - dh dependency to 11
    - Add missing build dependency on python3?-coreapi
    - Tidy all dependencies and versions
    - Add dependencies on javascript/fonts libraries to fit d/rules needs
  * d/compat to 11
  * d/copyright:
    - Use https link for copyright format
    - Updates of years, and adding the contrib/ image
  * d/rules:
    - Add rules to remove embedded contents that are packaged and link to the
      packaged ones.
    - Add upstream's changelog to the packages
  * d/python-djangorestframework-doc.doc-base:
    - Fixes file paths since d/compat is to 11
  * d/missing-sources:
    - Removes jquery 1.11.3
    - Add missing sources, and cleans a lintian error that is not fixable.

 -- Pierre-Elliott Bécue <becue@crans.org>  Sat, 03 Feb 2018 16:31:01 +0100

djangorestframework (3.4.0-2) unstable; urgency=medium

  * Don't move grid.png to wrong spot in python3 package. Closes: #858811.

 -- Brian May <bam@debian.org>  Mon, 27 Mar 2017 18:15:43 +1100

djangorestframework (3.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Update standards version to 3.9.8
  * Update source for jquery-1.12.4.js
  * Fix FTBFS. Closes: #830633.

 -- Brian May <bam@debian.org>  Fri, 15 Jul 2016 19:44:22 +1000

djangorestframework (3.3.2-2) unstable; urgency=medium

  * Fix FTBFS by setting LC_CTYPE and LC_ALL. Closes: #812672.

 -- Brian May <bam@debian.org>  Tue, 26 Jan 2016 15:50:22 +1100

djangorestframework (3.3.2-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Sun, 03 Jan 2016 13:54:05 +1100

djangorestframework (3.3.1-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Thu, 19 Nov 2015 08:24:02 +1100

djangorestframework (3.3.0-1) unstable; urgency=medium

  * New upstream version.

 -- Brian May <bam@debian.org>  Fri, 30 Oct 2015 20:05:35 +1100

djangorestframework (3.2.2-1) unstable; urgency=medium

  * New upstream version.
  * Python 3.5 fix applied.
  * Builds fine with Django1.8. Closes: #801927.

 -- Brian May <bam@debian.org>  Mon, 17 Aug 2015 16:28:00 +1000

djangorestframework (3.0.5-2) unstable; urgency=medium

  * Add VCS-* headers.

 -- Brian May <bam@debian.org>  Mon, 17 Aug 2015 13:41:15 +1000

djangorestframework (3.0.5-1) unstable; urgency=medium

  * Change maintainer to make package DPMT maintained, with permission of
    current maintainer - see #756886.

 -- Brian May <bam@debian.org>  Fri, 07 Aug 2015 10:42:13 +1000

djangorestframework (3.0.5-0.2) experimental; urgency=medium

  * Non-maintainer upload.
  * Fix broken links to media files. Remove debian/*.links, these symlinks are
    no longer relevant.

 -- Brian May <bam@debian.org>  Mon, 16 Mar 2015 14:20:11 +1100

djangorestframework (3.0.5-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream release.

 -- Brian May <bam@debian.org>  Sun, 15 Mar 2015 18:49:15 +1100

djangorestframework (2.4.3-2) unstable; urgency=medium

  * Supported Python3 (Closes: #756886)
    - Appended python3-djangorestframework.
  * debian/control
    - Build-Depends
      * Appended: python3-all, python3-setuptools, python3-django,
        python3-markdown, python3-defusedxml, python3-django-filters,
        python3-django-guardian, dh-python.
      * Removed: quilt.
    - Updated dependencies of python-django >= 1.3 to >= 1.4.2.
  * debian/rules
    - Updated for using pybuild.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Mon, 13 Oct 2014 16:03:47 +0900

djangorestframework (2.4.3-1) unstable; urgency=medium

  * New upstream release
  * Ensure it works with Django 1.7 (Closes: #755616)
  * debian/control
    - Standards-Version: Bump version to 3.9.6.
  * Deleted debian/patches/disable-oauth2-and-oauth-provider.patch.
    - Upstream changed supports OAuth.
  * debian/rules
    - Changed run_tests.py path at override_dh_auto_test.
  * Added debian/run_tests.py, debian/test_settings.py
    - For override_dh_auto_test.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Mon, 13 Oct 2014 09:45:40 +0900

djangorestframework (2.3.14-3) unstable; urgency=medium

  * Fixed Broken symlink for grid.png (Closes: #760548)
    - debian/rules
      * Appended override_dh_python2 target.
    - Thanks for Michael Fladischer <FladischerMichael@fladi.at>

 -- Kouhei Maeda <mkouhei@palmtb.net>  Fri, 05 Sep 2014 19:00:17 +0900

djangorestframework (2.3.14-2) unstable; urgency=medium

  * Fixed depends on insecure and unmaintained python-oauth2 (Closes: #758387)
    - Dropped dependencies of python-oauth2, python-django-oauth-plus.
    - Added debian/patches/disable-oauth2-and-oauth-provider.patch.
    - Thanks for Brian May <brian@microcomaustralia.com.au>

 -- Kouhei Maeda <mkouhei@palmtb.net>  Thu, 04 Sep 2014 14:22:37 +0900

djangorestframework (2.3.14-1) unstable; urgency=medium

  * New upstream release

 -- Kouhei Maeda <mkouhei@palmtb.net>  Sat, 19 Jul 2014 15:10:40 +0900

djangorestframework (2.3.13-2) unstable; urgency=medium

  * Fixed FTBFS No module named xmlrunner.extra.djangotestrunner
   (Closes: #747957)
    - Append python-xmlrunner to Build-Depends.
  * Fixed source-is-missing docs/js/prettify-1.0.js.
    - Uncompressed file is included in append_uncompressed_js_libraries.patch,
      but lintian is not detect file (docs/js/prettify-1.0-uncompressed.js).
    - So added prettify-1.0.js uncompressed file to debian/missing-sources/.
  * Added debian/patches/remove_remote_resources.patch.
  * Fixed image-file-in-usr-lib.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Wed, 11 Jun 2014 12:21:13 +0900

djangorestframework (2.3.13-1) unstable; urgency=medium

  * New upstream release
  * Append dependency to python-djangorestframework
    - python-pil to Build-Depends, Depends.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Fri, 14 Mar 2014 00:34:32 +0900

djangorestframework (2.3.12-1) unstable; urgency=medium

  * New upstream release
  * Fixed FTBFS with django 1.6 (Closes: #729829)
  * debian/control
    - Update Standards-Version.
    - Update X-Python-Version 2.6 to 2.7.
    - Append dependency to python-djangorestframework-doc
      * python-markdown to Depends
    - Append dependency to python-djangorestframework
      * Depends, Build-Depends
        - python-django-guardian, python-oauth2, python-django-oauth-plus
      * quilt to Build-Depends.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Fri, 24 Jan 2014 00:03:39 +0900

djangorestframework (2.3.7-2) unstable; urgency=low

  * Append dependency to python-djangorestframework (Closes: #723820)
    - debian/control: Append "Suggests: python-djangorestframework-doc"
    - Thanks to Ben Finney <ben+debian@benfinney.id.au> for reporting.
  * Change depends on python-django-filters (Closes: #723824)
    - debian/control: change "django-filter" to "python-django-filters"
    - Thanks to Ben Finney <ben+debian@benfinney.id.au> for reporting.
  * Change some dependencies to Recommends in python-djangorestframework
    - debian/control:
      * Move python-yaml, python-defusedxml, python-django-filters
        to Recommends.
      * Append python-markdown to Recommends.
      * Append python-defusedxml, python-django-filters to Build-Depends.

 -- Kouhei Maeda <mkouhei@palmtb.net>  Fri, 27 Sep 2013 18:43:28 +0900

djangorestframework (2.3.7-1) unstable; urgency=low

  * Initial release (Closes: #717551)
  * debian/patches:
    - change_resouce_path_of_html_documents.patch
    - fixes_layout.patch
    - remove_google_analytics.patch
    - append_uncompressed_js_libraries.patch

 -- Kouhei Maeda <mkouhei@palmtb.net>  Tue, 03 Sep 2013 18:57:28 +0900
